ssh2_sftp_rmdir
ssh2_sftp_symlink
SSH2 Functions
PHP Manual

# ssh2_sftp_stat

(PECL ssh2 >= 0.9.0)

ssh2_sftp_stat — Stat a file on a remote filesystem

### Description

array ssh2_sftp_stat ( resource `$sftp` , string `$path` )

Stats a file on the remote filesystem following any symbolic links.

This function is similar to using the stat() function with the ssh2.sftp:// wrapper in PHP 5 and returns the same values.

### Parameters

`sftp`

  An SSH2 SFTP resource opened by ssh2_sftp().

`path`

### Return Values

See the documentation for stat() for details on the values which may be returned.

### Examples

Example #1 Stating a file via SFTP

`<?php
$connection = ssh2_connect('shell.example.com', 22);
ssh2_auth_password($connection, 'username', 'password');
$sftp = ssh2_sftp($connection);
$statinfo = ssh2_sftp_stat($sftp, '/path/to/file');
$filesize = $statinfo['size'];
$group = $statinfo['gid'];
$owner = $statinfo['uid'];
$atime = $statinfo['atime'];
$mtime = $statinfo['mtime'];
$mode = $statinfo['mode'];
?>`

### See Also

- ssh2_sftp_lstat() - Stat a symbolic link
- lstat() - Gives information about a file or symbolic link
- stat() - Gives information about a file

ssh2_sftp_rmdir
ssh2_sftp_symlink
SSH2 Functions
PHP Manual